//
//  DMGitVersionComparator.h
//  Sparkle
//
//  Created by Jonathon Mah on 2013-04-17.
//
//

#import "SUVersionComparisonProtocol.h"


/* Sample versions in ascending order:
 * v3.0b1
 * v3.0b1-16-g1337ef
 * v3.0b2
 * v3.0
 * v3.0-2-g1337ef
 * v3.0-10-g1337ef
 * v3.0.1b1
 * v3.0.1
 *
 * Our tags from the above would be "v3.0b1", "v3.0b2", "v3.0" ,"v3.0.1b1", "v3.0.1".
 * The -##-g0x stuff is added by "git describe --tags --always".
 */
@interface DMGitVersionComparator : NSObject <SUVersionComparison>

+ (DMGitVersionComparator *)defaultComparator;

- (NSComparisonResult)compareVersion:(NSString *)versionA toVersion:(NSString *)versionB;


+ (NSArray *)versionPartsSortDescriptors;
+ (NSDictionary *)versionPartsFromString:(NSString *)string;

@end
